package com.utopiaindustries.qualitychecker.models;

import java.util.Objects;

public class InspectionReportWrapper {

    public InspectionReportWrapper() {
    }

    public InspectionReportWrapper(long id, String content, boolean synced) {
        this.id = id;
        this.content = content;
        this.synced = synced;
    }

    private long id;
    private String content;
    private boolean synced;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public boolean isSynced() {
        return synced;
    }

    public void setSynced(boolean synced) {
        this.synced = synced;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        InspectionReportWrapper that = (InspectionReportWrapper) o;
        return id == that.id && synced == that.synced && Objects.equals(content, that.content);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, content, synced);
    }

    @Override
    public String toString() {
        return "InspectionReportWrapper{" +
                "id=" + id +
                ", content='" + content + '\'' +
                ", synced=" + synced +
                '}';
    }
}
